## com.trilead.ssh2.transport
Class KexParameters

    java.lang.Object
      com.trilead.ssh2.transport.KexParameters

    public class KexParameters

extends java.lang.Object

KexParameters.

Field Summary
`java.lang.String[]` `compression_algorithms_client_to_server`
`java.lang.String[]` `compression_algorithms_server_to_client`
`byte[]` `cookie`
`java.lang.String[]` `encryption_algorithms_client_to_server`
`java.lang.String[]` `encryption_algorithms_server_to_client`
`boolean` `first_kex_packet_follows`
`java.lang.String[]` `kex_algorithms`
`java.lang.String[]` `languages_client_to_server`
`java.lang.String[]` `languages_server_to_client`
`java.lang.String[]` `mac_algorithms_client_to_server`
`java.lang.String[]` `mac_algorithms_server_to_client`
`int` `reserved_field1`
`java.lang.String[]` `server_host_key_algorithms`

Constructor Summary
`KexParameters()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cookie

    public byte[] cookie

### kex_algorithms

    public java.lang.String[] kex_algorithms

### server_host_key_algorithms

    public java.lang.String[] server_host_key_algorithms

### encryption_algorithms_client_to_server

    public java.lang.String[] encryption_algorithms_client_to_server

### encryption_algorithms_server_to_client

    public java.lang.String[] encryption_algorithms_server_to_client

### mac_algorithms_client_to_server

    public java.lang.String[] mac_algorithms_client_to_server

### mac_algorithms_server_to_client

    public java.lang.String[] mac_algorithms_server_to_client

### compression_algorithms_client_to_server

    public java.lang.String[] compression_algorithms_client_to_server

### compression_algorithms_server_to_client

    public java.lang.String[] compression_algorithms_server_to_client

### languages_client_to_server

    public java.lang.String[] languages_client_to_server

### languages_server_to_client

    public java.lang.String[] languages_server_to_client

### first_kex_packet_follows

    public boolean first_kex_packet_follows

### reserved_field1

    public int reserved_field1

Constructor Detail

### KexParameters

    public KexParameters()